Support » Themes and Templates » Please Help, Theme change has errors……

  • lazeedog

    (@lazeedog)


    I needed to change my theme from Professional to Envisioned.

    I followed the installation instructions and have read the readme docs.

    When I log into WP there is no sign of the theme for me to activate.

    At the top of the WP>admin>Themes the following is stated.

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /www/sites/522/b05/www.ricparkin.co.uk/web/wp-includes/theme.php on line 521

    Warning: uksort() [function.uksort]: The argument should be an array in /www/sites/522/b05/www.ricparkin.co.uk/web/wp-admin/includes/class-wp-themes-list-table.php on line 48

    Warning: array_slice() expects parameter 1 to be array, boolean given in /www/sites/522/b05/www.ricparkin.co.uk/web/wp-admin/includes/class-wp-themes-list-table.php on line 55

    Can anyone help me sort out this issue.

    Thank you in advance.

Viewing 3 replies - 1 through 3 (of 3 total)
  • heathenjimmy

    (@heathenjimmy)

    Looks like the theme is incompatible with your WordPress version. I would delete the new theme via ftp, if you can.
    wp-content/themes/name/files — delete the folder with the themes’ name and find one that works.

    lazeedog

    (@lazeedog)

    Argh…

    Thanks, I think you’re right.

    I had this theme working but needed to do some basic house keeping, I updated WP to the current version (3.2) and it was then the theme stopped working.

    Thanks, my knowledge is limited but this forum is a valuable source of information.

    Best wishes

    I am experiencing the same problem with the following error messeges on the theme menu of dashboard. My wordpress is version 3.2.1 with default 2011 theme. Did anybody find a solution for the problem?

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /wp-includes/theme.php on line 521

    Warning: uksort() [function.uksort]: The argument should be an array in /wp-admin/includes/class-wp-themes-list-table.php on line 48

    Warning: array_slice() expects parameter 1 to be array, boolean given in /wp-admin/includes/class-wp-themes-list-table.php on line 55

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Please Help, Theme change has errors……’ is closed to new replies.